Автор Тема: [РЕШЕНО] Обновление — ошибки в пакетах  (Прочитано 56518 раз)

Antixrist

  • Новичок
  • *
  • Сообщений: 27
  • Карма: +0/-0
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #15 : 18 Апрель 2011, 12:53:22 »
Нашел медленный но верный способ))) Два каких-то пакета вместе не хотят обновляться... А вот по одному обновились вроде нормально... Спасибо за помощь...

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #16 : 26 Июнь 2011, 01:47:27 »
Если нет - еще можно посмотреть здесь.
Выполнил
sudo dpkg --configure -a
sudo apt-get update
sudo apt-get install -f
как там написано, но не помогло. Тогда поступил по нижеследующему совету:
В случае, если после этого проблема не разрешилась, необходимо перезагрузиться и на экране выбора ОС выбрать Режим восстановления (Recovery Mode), затем в появившемся меню выбрать dpkg   Repair broken packages (функцию восстановления поврежденных пакетов), затем снова перезагрузиться.
Все обновилось, кроме пакета udisks, но теперь почему-то при загрузке вместо одной Росинки у меня появилось две: LM 9 Росинка, 2.6.32-32 generic и LM 9 Росинка, 2.6.32-25 generic, причем, обе распологаются на одном и том же dev/sda/2! И как это понимать - я в чем-то накосячил? А главное - как это исправить?

P.S. И стоит ли переживать по поводу необновившегося udisks-а?
Заранее спасибо.
« Последнее редактирование: 26 Июнь 2011, 03:09:33 от Lerych34rus »

Azure

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 2118
  • Карма: +275/-114
  • Обычно я му-р-р-р-чу
    • Просмотр профиля
    • Exilibris Web Development
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #17 : 26 Июнь 2011, 09:48:12 »
вместо одной Росинки у меня появилось две: LM 9 Росинка, 2.6.32-32 generic и LM 9 Росинка, 2.6.32-25 generic
У вас установилось еще одно ядро - в этом абсолютно ничего страшного, просто можно запустить либо со старым, либо с новым. Если сильно напрягает, то самый простой способ это изменить - запустите с ядром, которое хотите оставить, потом Меню -> Системные утилиты -> Ubuntu Tweak -> Очистка системы -> Удалить ядра.
стоит ли переживать по поводу необновившегося udisks-а?
Переживать не стоит. Обновление этого пакета заблокировано намеренно, вот здесь обсуждался этот вопрос, старая версия полностью рабочая.
« Последнее редактирование: 26 Июнь 2011, 12:47:34 от Hromin »

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #18 : 26 Июнь 2011, 12:41:40 »
Спасибо, Вам, Azure, теперь все пришло в норму! *YES*

inok

  • Новичок
  • *
  • Сообщений: 30
  • Карма: +3/-0
  • Мир прекрасен в любых его проявлениях!!!
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #19 : 31 Октябрь 2011, 02:46:44 »
не забывайте, если есть пакеты недопущенные вами для обновления, а они присутствуют в списке, то сразу лучше их отвергнуть, сняв галочку.  ТОже всплыла ошибка пакетов, проверил нет ломаных, тогда из списка удалил то? что запретил для обновления, в моём случае был почтовик thunterbird., далее обновление прошло без нареканий.
Дистрибутив: Linux Mint Росинка 9 (FULL x86);
 IceLinux 11;      UE-2.9 ;   XP SP4;   win7-86.
Конфигурация ПК: BIOSTAR NF 560-A2g AMD Atlon(tm)64 DCP6000+ 2x3GHz, 4Gb DDR2, Nvidia GTS 450, Монитор ЖК LG Flatron L1942s 1260x1024 60-75 Hz

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #20 : 31 Октябрь 2011, 03:49:35 »
Всем здравствуйте!
Недавно в моей Росинке 11 случилась такая бяка: пришли обновления на браузер Chromium, но я не могу их применить. Система пишет: E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Невозможно исправить зависимости
Совет Hromin-а не помогает, на так, ни эдак. Все остальное обновляется без проблем (например, только что qutIM обновил вообще без сучка, без задоринки), а вот именно эти 2 пакета, - chromium-browser и зависящий от него chromium-browser language packages, - не хочут! :'(
Подскажите, пожалуйста, как победить эту байду? Заранее спасибо.
« Последнее редактирование: 31 Октябрь 2011, 03:54:24 от Lerych34rus »

Azure

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 2118
  • Карма: +275/-114
  • Обычно я му-р-р-р-чу
    • Просмотр профиля
    • Exilibris Web Development
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #21 : 31 Октябрь 2011, 19:29:00 »
Ну попробуйте деинсталироватьsudo dpkg -r chromium-browser chromium-browser-l10nа потом поставить новыйsudo apt-get install chromium-browser chromium-browser-l10n

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #22 : 31 Октябрь 2011, 23:54:40 »
Ну попробуйте деинсталировать... а потом поставить новый
Azure, буквально сегодня решил переустановить Росинку на компе моей матери (точнее, сменить "девятку" на одинадцатую). После переустановки первым делом подключил через Ubuntu Tweak репозиторий "Ubuntu Chromium - Stable Channel PPA (http://ppa.launchpad.net/chromium-daily/stable/ubuntu oneiric)", чтобы можно было сразу загрузить и установить самую последнюю версию Хромыча (такой же реп и у меня подключен). Так вот, при попытке поставить на этот комп последнюю 15-ю версию Хромиума, все получилось точно так же, как и у меня (т.е. как я описывал в своем предыдущем посте)! Один в один, с той лишь разницей, что Хромыча на этой системе еще вообще ни разу не стояло! После того, как я отключил этот реп и обновил список пакетов, в Синаптике появилась уже предыдущая (14-я) версия Хромиума (такая же, какая сейчас стоит и на моем компе), так вот она встала вообще без всяких проблем!
Отсюда вывод: проблема не в моем Хромиуме, а в выше указанном репозитории, а точнее в том, что та версия Хромиума, которую он сейчас предлагает, по тем или иным причинам не подходит для Росинки 11 (или что-то вроде этого)! Хотя раньше я всегда свой Хромиум с него обновлял, никогда таких проблем не возникало... *DONT_KNOW*
Приду домой, попробую и у себя отключить этот реп и посмотрю, что получится (хотя итак уже примерно ясно :-)). А вам все-равно за ответ спасибо.
« Последнее редактирование: 31 Октябрь 2011, 23:58:00 от Lerych34rus »

inok

  • Новичок
  • *
  • Сообщений: 30
  • Карма: +3/-0
  • Мир прекрасен в любых его проявлениях!!!
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #23 : 17 Декабрь 2011, 02:11:55 »
напрямую через терминал обновиться получилось, скачал почти 200м но вконце предложил выбор из 5 пунктов установить или отказаться просмотреть различия в етс/...  Я выбрал показать разницу между скачанной и установленной версией какого то файла после просмотра завис на трафарете end система с него не выходила и обновления повисли в воздухе.
1.  можно ли узнать поподробней о предложенных вариантах действий. Обновления установить продолжил коммандами
sudo dpkg --configure -a                      предложила система
sudo apt-get upgrade                           установил скачанное
 2 Нет желания обновлять некоторые пакеты, в частности firefox. Отмечал в синаптике для отмены обновлений, ставил в лист игнорирования менеджера, прописав нежелательные программы. Некоторые удалил, чтоб система не запрашивала, но при обновлении каждый раз они стоят в списке. Что предпринять?
« Последнее редактирование: 17 Декабрь 2011, 02:25:46 от inok »
Дистрибутив: Linux Mint Росинка 9 (FULL x86);
 IceLinux 11;      UE-2.9 ;   XP SP4;   win7-86.
Конфигурация ПК: BIOSTAR NF 560-A2g AMD Atlon(tm)64 DCP6000+ 2x3GHz, 4Gb DDR2, Nvidia GTS 450, Монитор ЖК LG Flatron L1942s 1260x1024 60-75 Hz

Azure

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 2118
  • Карма: +275/-114
  • Обычно я му-р-р-р-чу
    • Просмотр профиля
    • Exilibris Web Development
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #24 : 18 Декабрь 2011, 00:09:51 »
1.  можно ли узнать поподробней о предложенных вариантах действий. Обновления установить продолжил коммандами
sudo dpkg --configure -a                      предложила система
sudo apt-get upgrade                           установил скачанное
Вопрос не понял, что именно интересует?
2 Нет желания обновлять некоторые пакеты, в частности firefox. Отмечал в синаптике для отмены обновлений, ставил в лист игнорирования менеджера, прописав нежелательные программы. Некоторые удалил, чтоб система не запрашивала, но при обновлении каждый раз они стоят в списке. Что предпринять?
Заблокировать пакет от изменений:sudo aptitude hold имя_пакетаили в Синаптике Пакет — > Заблокировать версию

Trilobus

  • Новичок
  • *
  • Сообщений: 40
  • Карма: +8/-0
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #25 : 19 Февраль 2012, 12:45:31 »
Уже несколько дней при обновлениях вижу эту фразу:
Цитировать
W: Failed to fetch http://packages.linuxmint.com/dists/isadora/Release  Unable to find expected entry  universe/binary-i386/Packages in Meta-index file (malformed Release file?)

Вроде бы и жить не мешает — обновления то приходят, но как-то неаккуратненько  получается, беспокоит.
Что не так с Release file?
Система Росинка 9 Новогодняя

Жизнь прекрасна во всех формах её проявления.

Hromin

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 590
  • Карма: +145/-4
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #26 : 19 Февраль 2012, 16:22:45 »
В Linux Mint нет репозитория universe. Отредактируйте список репозиториев
sudo gedit /etc/apt/sources.list
и удалите запись universe в строке http://packages.linuxmint.com/

Trilobus

  • Новичок
  • *
  • Сообщений: 40
  • Карма: +8/-0
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #27 : 19 Февраль 2012, 17:27:30 »
В Linux Mint нет репозитория universe. Отредактируйте список репозиториев
sudo gedit /etc/apt/sources.list
и удалите запись universe в строке http://packages.linuxmint.com/
Спасибо! Помогло! Кстати и минтапдейт перестал зависать и глючить. Но откуда взялась запись "universe"?!
Жизнь прекрасна во всех формах её проявления.

Hromin

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 590
  • Карма: +145/-4
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #28 : 20 Февраль 2012, 01:25:13 »
Мне тоже интересно, откуда берётся запись universe. Эта проблема возникает очень редко, и ни разу не удалось понять, каким образом изменения попадали в sources.list *DONT_KNOW*

TiNNauR

  • Новичок
  • *
  • Сообщений: 4
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #29 : 21 Февраль 2012, 03:32:30 »
Всем доброе время суток! У меня вот такая ситуация. помогите разобраться: установил пакет командой "sudo apt-get install remastersys", во время установки ругнулось, что-то удалило, не успел заметить что, и все таки установило, это после внесенного руками репозитория (через команду не давало, говорит нет доступа, как минимум странно). После установки понеслось: центр обновлений при старте системы не запускается, только руками из меню, при обновлении пишет такую вещь, см. вложенный рис. Через терминал пишет следующее
sudo apt-get update
Игн file: binary/ Release.gpg
Игн file:/usr/share/local-repository/ binary/ Translation-en                   
Игн file:/usr/share/local-repository/ binary/ Translation-ru                   
Игн file: binary/ Release                                                     
Игн file: binary/ Packages                                                     
Игн file: binary/ Packages                                                     
В кэше http://download.learnfree.eu  Release.gpg                               
В кэше http://deb.playonlinux.com maverick Release.gpg                         
В кэше http://archive.ubuntu.com maverick Release.gpg                         
Игн http://archive.ubuntu.com/ubuntu/ maverick/main Translation-en             
В кэше http://archive.ubuntu.com/ubuntu/ maverick/main Translation-ru         
В кэше http://notesalexp.org maverick Release.gpg                             
В кэше http://ppa.launchpad.net maverick Release.gpg
Посоветуйте как можно исправить ситуацию. Спасибо!                 
« Последнее редактирование: 21 Февраль 2012, 03:37:45 от TiNNauR »